Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class ASN1ObjectDescriptor

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.ASN1Primitive
              org.bouncycastle.asn1.ASN1ObjectDescriptor

All Implemented Interfaces:
  ASN1Encodable, Encodable

public final class ASN1ObjectDescriptor
extends ASN1Primitive

Constructor Summary
`ASN1ObjectDescriptor(ASN1GraphicString baseGraphicString)`

Method Summary
`ASN1GraphicString` | `getBaseGraphicString()`
`static ASN1ObjectDescriptor` | `getInstance(ASN1TaggedObject taggedObject, boolean declaredExplicit)` Return an ObjectDescriptor from a tagged object.
`static ASN1ObjectDescriptor` | `getInstance(java.lang.Object obj)` Return an ObjectDescriptor from the passed in object.
`static ASN1ObjectDescriptor` | `getTagged(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
`int` | `hashCode()`

Methods inherited from class org.bouncycastle.asn1.ASN1Primitive
`encodeTo, encodeTo, equals, equals, equals, fromByteArray, fromStream, toASN1Primitive`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`getEncoded, getEncoded, hasEncodedTagValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASN1ObjectDescriptor

    public ASN1ObjectDescriptor(ASN1GraphicString baseGraphicString)

Method Detail

### getInstance

    public static ASN1ObjectDescriptor getInstance(java.lang.Object obj)

  Return an ObjectDescriptor from the passed in object.

  Parameters:
    `obj` - an ASN1ObjectDescriptor or an object that can be converted into one.
  Returns:
    an ASN1ObjectDescriptor instance, or null.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static ASN1ObjectDescriptor getInstance(ASN1TaggedObject taggedObject,
                                                   boolean declaredExplicit)

  Return an ObjectDescriptor from a tagged object.

  Parameters:
    `taggedObject` - the tagged object holding the object we want.
    `declaredExplicit` - true if the object is meant to be explicitly tagged, false otherwise.
  Returns:
    an ASN1ObjectDescriptor instance, or null.
  Throws:
    `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

### getTagged

    public static ASN1ObjectDescriptor getTagged(ASN1TaggedObject taggedObject,
                                                 boolean declaredExplicit)

### getBaseGraphicString

    public ASN1GraphicString getBaseGraphicString()

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `ASN1Primitive`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD